Announce and follow up with communities about the New Filters for Watchlist Beta feature
Closed, ResolvedPublic

Description

The New Filters available at the moment for the Recent Changes will be extended to Watchlists. Scheduled release date: Sept.19.

Related Objects

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2017, 8:57 AM
Trizek-WMF triaged this task as Low priority.Jul 20 2017, 12:41 PM
Trizek-WMF changed the task status from Open to Stalled.

@Trizek-WMF Roan and I just went over the schedule, and we’ve targeted Sept. 5 as the date to release the New Filters beta on Watchlist. I imagine we need to get the announcement out pretty quickly. The beta will appear for all existing beta users in one go, and will appear for all future beta users. Do you see any problems?

Trizek-WMF raised the priority of this task from Low to High.EditedAug 21 2017, 3:16 PM
Trizek-WMF changed the task status from Stalled to Open.

@jmatazzoni Are we still in the idea of releasing the filters for RC at the same time? T164489 says Sept 12 for the earliest.

@jmatazzoni Are we still in the idea of releasing the filters for RC at the same time? T164489 says Sept 12 for the earliest.

We will have separate releases.

Trizek-WMF updated the task description. (Show Details)Aug 24 2017, 2:16 PM

@Trizek-WMF I noticed there are a couple of calls for help with the translations in the Announcement. Is this available somewhere in Meta to translate? It is a lot easier to do the translation there and then replace the raw code of the translated page than trying to translate the message with all the code and formatting tags that was posted to the VPs.

@Trizek-WMF I noticed there are a couple of calls for help with the translations in the Announcement. Is this available somewhere in Meta to translate? It is a lot easier to do the translation there and then replace the raw code of the translated page than trying to translate the message with all the code and formatting tags that was posted to the VPs.

Good idea @Lsanabria!

I've created a page you can translate. When translated, it will give you directly the wikitext to copy/paste on your wiki. Click here to have a direct access to the translation interface.

I'll post it to the Ambassador mailing list.

Aklapper added a subscriber: Shizhao.

@Shizhao: This is not global Tech News stuff as there will be separate releases. See previous comments, please.

@Shizhao: This is not global Tech News stuff as there will be separate releases. See previous comments, please.

I've added this announcement to Tech News this morning, before reading this comment.
The Watchlist Beta feature deployment is a global, unique rollout. It fits with Tech News scope. @Aklapper, maybe you have been confused by T164489: Announce and follow up with communities about the New Filters for Recent changes by default deployment?

So far, I only get positive feedback from the communities through thanks or, in one case, a direct message ("Looks super nice.").

TheDJ added a subscriber: TheDJ.Aug 30 2017, 12:30 PM

One note, did we check for compatibility with watchlist notifications and geonotifications ?

One note, did we check for compatibility with watchlist notifications and geonotifications ?

We have tested compatibility with Mediawiki:Watchlist-summary ( which is in fact Mediawiki:<special page name>-summary for any special page). Do you mean those, and/or something else?

TheDJ added a comment.EditedAug 30 2017, 2:46 PM

@SBisson watchlist and geonotice notices on english wikipedia are added to the "watchlist-message" element, which is part of MediaWiki:Watchlist-details. But it can differ a bit per wiki.

@TheDJ Thanks, I did not know that.

MediaWiki:Watchlist-details is one we wanted to replace so its wording is better aligned with how the new app works but we'll figure something out so we keep showing those notices.

Trizek-WMF updated the task description. (Show Details)Sep 6 2017, 9:24 AM

The release has been postponed.

See updates to T175062: Update gadgets for seen/unseen styling and new T175807: Take appropriate action for existing overrides of watchlist messages we are changing re i18n overrides and gadgets. I queried for the i18n overrides most likely to be relevant here.

This comment was removed by Trizek-WMF.
Trizek-WMF updated the task description. (Show Details)Sep 22 2017, 3:03 PM
Trizek-WMF updated the task description. (Show Details)Sep 22 2017, 4:00 PM
Trizek-WMF lowered the priority of this task from High to Normal.Sep 29 2017, 10:22 AM

Lowering priority. I'm keeping an eye on T175807: Take appropriate action for existing overrides of watchlist messages we are changing, otherwise all feedback received now is about filters in general.

Trizek-WMF closed this task as Resolved.EditedWed, Oct 25, 10:59 AM

We are still receving some feedback, which is more about small details to fix. I continue to support that feedback page but I consider the task as over.

Qgil awarded a token.Fri, Nov 3, 3:39 PM